// Philippe LAFARGUE Novembre 1996
// pour ST Magazine

// valeurs par dfaut
#default {
         finish { ambient 0.1 diffuse 0.9 }
}

background { color rgb <0.5,0.5,0.5> }

#declare level = 3      // niveau max de rcursivit
#declare pos = <0,0,0>  // dpart de l'arbre
#declare vect = y*4     // direction de dpart
#declare ell = 0.1      // valeur arrondi des ellipsoides au dpart
#declare ech = 0.75      // facteur de diminution des ellipsoides
#declare rot  = <0,0,0> // cumul des rotations successives au long d'une branche
#declare regle = 0      // regle courante (0,1,2 ou 3)
#declare pile = 0

// texture des ellipsoides
#declare Seg_Text = texture {
         pigment { color rgb <1,0,0> }
         finish { phong 1 phong_size 250
                specular 0.4 roughness 0.01
         }
}

#declare Chrome_Texture = 
texture {
    pigment { color rgb <0.7,0.7,0.7> }
    finish {
        ambient 0.3
        diffuse 0.7
        reflection 0.15
        brilliance 8
        specular 0.8
        roughness 0.1
    }
}


// Gnration de l'arbre
union {
#include "gen_arbr.inc"
}

// Lumire blanche
light_source
{
  <80, 160, -80>
  color rgb <1,1,1>
  spotlight
  point_at <0, 0, 0>
  radius 20
  tightness 50
  falloff 40
}

// Lumire bleue
light_source
{
  <-8, 16, 8>
  color rgb <0,0,1>
  spotlight
  point_at <0, 0, 0>
  radius 20
  tightness 50
  falloff 40
}


// Observateur
#declare vue_image = camera
{
  location  <20, 15, -15.0>
  direction z
  up        y
  right     (640/480)*x
  look_at   <0,7,0>
  angle 60  // ouverture en degrs (nouveau !)
}

#declare vue_test = camera
{
  location  <0, 20, -20.0>
  direction z
  up        y
  right     (640/480)*x
  look_at   <0,7,0>
  angle 60  // ouverture en degrs (nouveau !)
}

camera { vue_image }

// Mur fluo
#declare Mur =
plane { y, 0
      texture {
              brick
// texture du mortier
              texture {
                      pigment {
                              color rgb <0,0,1>
                      }
                      finish { ambient 0.8 }
              },
// texture de la brique
              texture {
                      pigment { color rgb <1,0,0> }
              }
      }
  rotate x*-90
}

// Mur du fond
object { Mur
  translate z*40
}

// Mur de gauche
object { Mur
  rotate y*-90
  translate x*-40
}




